Summary: ZAP - Z39.50 Apache Module
Name: zap
Requires: yaz
Version: 1.4.3
Release: 1
Copyright: YAZ License (Freeware)
Group: System Environment/Daemons
Vendor: Index Data ApS <info@indexdata.dk>
Url: http://www.indexdata.dk/zap/
Source: zap-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-root
Packager: Adam Dickmeiss <adam@indexdata.dk>

%description
The ZAP package is an Apache module that provides Z39.50 access through
World Wide Web.

%prep
%setup

%build

CFLAGS="$RPM_OPT_FLAGS" \
 ./configure --with-apxs=/usr/sbin/apxs --with-yazconfig=/usr/bin
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install-html
cd src; make prefix=$RPM_BUILD_ROOT install-rpm

%pre
/etc/rc.d/init.d/httpd stop
%post
f=/etc/httpd/conf/httpd.conf
g=/etc/httpd/conf/httpd.conf.rpm.new
if grep '^#LoadModule.*zap_module' $f; then
	sed 's/^#LoadModule.*zap_module/LoadModule zap_module/g' <$f >$g
	mv -f $g $f
else
	echo 'LoadModule zap_module modules/mod_zap.so' >>$f
fi
if grep '^#AddModule.*mod_zap\.c' $f; then
	sed 's/^#AddModule.*mod_zap\.c/AddModule mod_zap\.c/g' <$f >$g
	mv -f $g $f
else
	echo 'AddModule mod_zap.c' >>$f
fi
if grep '^#AddHandler.*zap-script.*\.zap' $f; then
	sed 's/^#AddHandler.*zap-script.*\.zap/AddHandler zap-script .zap/g' <$f >$g
	mv -f $g $f
else
	echo 'AddHandler zap-script .zap' >>$f
fi
/etc/rc.d/init.d/httpd start
%preun
/etc/rc.d/init.d/httpd stop
f=/etc/httpd/conf/httpd.conf
g=/etc/httpd/conf/httpd.conf.rpm.new
sed 's/^LoadModule.*zap_module/#LoadModule zap_module/g' < $f |
  sed 's/^AddModule.*mod_zap.c/#AddModule mod_zap.c/g' |
  sed 's/^AddHandler zap-script/#AddHandler zap-script/g' >$g
mv -f $g $f
%postun
/etc/rc.d/init.d/httpd start
%files
%defattr(-,root,root)
%doc ZAP_README ZAP_LICENSE ZAP_CHANGES ZAP_TODO
/home/httpd/html/zap
/usr/lib/apache/mod_zap.so
